package com.sxtvs.open.api.chat.service.impl;

import com.sxtvs.open.api.chat.entity.KimiChatGroup;
import com.sxtvs.open.api.chat.mapper.KimiChatGroupMapper;
import com.sxtvs.open.api.chat.service.IKimiChatGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxtvs.open.core.auth.AESUtil;
import com.sxtvs.open.core.auth.HttpContextUtil;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Optional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2024-03-25
 */
@Service
public class KimiChatGroupServiceImpl extends ServiceImpl<KimiChatGroupMapper, KimiChatGroup> implements IKimiChatGroupService {

    public KimiChatGroup create(String content){
        KimiChatGroup kimiChatGroup = new KimiChatGroup();
        Optional<String> token = HttpContextUtil.getToken();
        String uid = AESUtil.decryptStr(token.get());
        kimiChatGroup.setUid(Long.valueOf(uid));
        kimiChatGroup.setTitle(content);
        kimiChatGroup.setCreateTime(LocalDateTime.now());
        save(kimiChatGroup);
        return kimiChatGroup;
    }
}
